* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
}
html {
  font-size: 10px;
}
body {
  font-family: "Raleway", sans-serif;
}
button {
  border: 0;
  padding: 0;
}
a {
  text-decoration: none;
  color: black;
}

/* Utility Classes */

.header__primary {
  font-size: 8rem;
  font-weight: 400;
  text-align: center;
}
.header__secondary {
  font-size: 1.5rem;
  text-align: center;
}
.first_header {
  margin-top: 5rem;
  font-size: 2.5rem;
  font-weight: 400;
  text-align: center;
}

.container {
  max-width: 80%;
  margin: 10rem auto;
}
.secondary__btn {
  padding: 1rem 2rem;
  background: rgba(255, 255, 255, 0.8);
  border-radius: 100rem;
  cursor: pointer;
}
.secondary__btn:hover {
  background: white;
}
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  justify-content: space-between;
  margin: 1.5rem 0;
}

.column {
  display: flex;
  flex-direction: column;
}
.m-r-5 {
  margin-right: 0.5rem;
}
.m-r-10 {
  margin-right: 1rem;
}
.m-r-20 {
  margin-right: 2rem;
}
.m-b-30 {
  margin-bottom: 3rem;
}
.m-l-20 {
  margin-left: 2rem;
}
.m-t-small {
  margin-top: 0.3rem;
}
.primary__btn {
  display: inline-block;
  padding: 1rem 2rem;
  font-size: 1.5rem;
  background: black;
  color: white;
  letter-spacing: 0.2rem;
  margin-top: 5rem;
  margin-left: 50%;
  transform: translateX(-50%);
  cursor: pointer;
}
.primary__btn:hover {
  border: 1px solid black;
  background: none;
  color: black;
}
.primary__btn:disabled,
.primary__btn[disabled] {
  border: none;
  background-color: #cccccc;
  color: #666666;
  cursor: unset;
}
.hidden {
  visibility: hidden;
}
/* Main Page */
.main {
  max-width: 100%;
  display: flex;
}
.main__left {
  background: white;
  width: 50%;
}
.main__right {
  background: linear-gradient(115deg, #fdea02, #feba01);
  height: 100vh;
  width: 50%;
}
.header__logo {
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: 0.2rem;
  /* margin: 2rem 0 0 1rem; */
  margin-left: 1rem;
}
.main__left-content {
  display: flex;
  flex-direction: column;
  padding: 8rem;
  margin: 8rem 0 8rem 0;
  align-items: center;
}
.header__primary span {
  font-weight: 700;
}
.main__buttons {
  display: flex;
  justify-content: space-between;
}
.column label {
  font-size: 1.3rem;
  margin-bottom: 0.5rem;
}

/* Landing Page */
.landing-page {
  background: linear-gradient(115deg, #fdea02, #feba01);
  background-position: top;
  height: 100vh;
}
.content-center {
  margin: 35vh 0;
  transform: translateY(-50%);
}

.input {
  display: block;
  border: 1px solid #aaa;
  border-radius: 4px;
  background-color: white;
  padding: 0.5rem 0.4rem;
  width: 13rem;
  /* padding: 0.5rem 1rem;
  border: 0;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
  -webkit-box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 0px 2px 10px rgba(87, 62, 62, 0.15); */
}

/* Responsive */
/* Smartphones (portrait and landscape) ----------- */
@media only screen and (min-device-width: 320px) and (max-device-width: 1023px) {
  body {
    background: linear-gradient(115deg, #fdea02, #feba01);
    background-position: top;
    height: 100%;
  }
  .main {
    max-width: 100%;
    display: flex;
    flex-direction: column;
  }
  .header__primary {
    font-size: 3rem;
    font-weight: 400;
    text-align: center;
  }
  .main__left {
    background: none;
    width: 100%;
    /* height: 50vh; */
  }
  .main__right {
    background: none;
    /* height: 100vh; */
    width: 100%;
  }
  .main__left-content {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    margin: 2rem 0 2rem 0;
    align-items: center;
  }
  .header__secondary {
    font-size: 1.3rem;
    text-align: center;
  }
  .header__logo {
    font-size: 2rem;
    font-weight: 700;
    letter-spacing: 0.2rem;
    margin: 1rem 0 0 1rem;
  }
  .container {
    max-width: 90%;
    margin: 2rem auto;
  }
  .row {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 2rem 0;
  }
  .column {
    margin-top: 0.5rem;
  }
  .primary__btn {
    padding: 1rem 2rem;
    font-size: 1.5rem;
    background: black;
    color: white;
    letter-spacing: 0.2rem;
    margin-top: 2rem;
    margin-left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
  }
  .main__buttons {
    display: flex;
    justify-content: space-between;
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
  }
  .input {
    display: block;
    border: 1px solid #aaa;
    border-radius: 4px;
    background-color: white;
    padding: 0.5rem 0.4rem;
    width: 100%;
    /* padding: 0.5rem 1rem;
  border: 0;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
  -webkit-box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 0px 2px 10px rgba(87, 62, 62, 0.15); */
  }
}

/* Laptops (portrait and landscape) ----------- */
@media only screen and (min-device-width: 1024px) and (max-device-width: 1440px) {
  .header__primary {
    font-size: 6rem;
    font-weight: 400;
    text-align: center;
  }
  .row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-between;
    margin: 1.5rem 0;
  }
}
